<template>
  <div v-if="selectedThemeName === 'modern'">
    <ResponsibleAndGamingBMM1 v-if="isMobile" />
    <ResponsibleAndGamingBMD1 v-else />
  </div>
  <single-privacy-content
    v-else
    :keys="{ title: 'footer_menu_info_4', content: 'menu_content_4_1' }"
    class="help-center-page"
  />
</template>
<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";
import ResponsibleAndGamingBMD1 from "@/components/theme/desktop/modern/responsible-gaming.client.vue";
import ResponsibleAndGamingBMM1 from "@/components/theme/mobile/modern/responsible-gaming.client.vue";

export default defineComponent({
  components: { ResponsibleAndGamingBMD1, ResponsibleAndGamingBMM1 },
  setup() {
    const selectedThemeName = computed(() => store.state.selectedThemeName);
    const isMobile = !useIsDesktop();

    return {
      selectedThemeName,
      isMobile,
    };
  },
});
</script>
<style scoped></style>
